POST V1/CredentialManagement.{ext}/UpdateCredentialManagementDetails?email={email}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
email

No description available

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.ResetView
NameDescriptionTypeAdditional information
CMResetRequestId

No description available

string

None.

CMInventoryId

No description available

string

None.

ClientName

No description available

string

None.

ClientId

No description available

string

None.

FromDate

No description available

string

None.

StartTime

No description available

string

None.

ToDate

No description available

string

None.

EndTime

No description available

string

None.

TimeZone

No description available

string

None.

AcctIDFR

No description available

string

None.

WebAcctNumber

No description available

string

None.

Acct

No description available

string

None.

Site

No description available

string

None.

Remit

No description available

string

None.

Vendor

No description available

string

None.

DedicatedRepresentative

No description available

string

None.

VendorEmail

No description available

string

None.

VendorContact

No description available

string

None.

URL

No description available

string

None.

IPAddress

No description available

string

None.

RegisteredEmail

No description available

string

None.

UserID

No description available

string

None.

Password

No description available

string

None.

OldAccount

No description available

string

None.

TaxID

No description available

string

None.

RegisteredContact

No description available

string

None.

BillReceiptMode

No description available

string

None.

SecurityAone

No description available

string

None.

SecurityAtwo

No description available

string

None.

SecurityAthree

No description available

string

None.

SecurityQone

No description available

string

None.

SecurityQtwo

No description available

string

None.

SecurityQthree

No description available

string

None.

ABD

No description available

string

None.

IMD

No description available

string

None.

RequestedBy

No description available

string

None.

AssignedTo

No description available

string

None.

NewPassword

No description available

string

None.

SiteNumber

No description available

string

None.

Location

No description available

string

None.

City

No description available

string

None.

State

No description available

string

None.

Country

No description available

string

None.

Zip

No description available

string

None.

Comments

No description available

string

None.

EditableInputs

No description available

Collection of EMS.Inventory.Entities.EditableInputs

None.

Request Formats

application/json, text/json

Sample:
{
  "cmResetRequestId": "sample string 1",
  "cmInventoryId": "sample string 2",
  "clientName": "sample string 3",
  "clientId": "sample string 4",
  "fromDate": "sample string 5",
  "startTime": "sample string 6",
  "toDate": "sample string 7",
  "endTime": "sample string 8",
  "timeZone": "sample string 9",
  "acctIDFR": "sample string 10",
  "webAcctNumber": "sample string 11",
  "acct": "sample string 12",
  "site": "sample string 13",
  "remit": "sample string 14",
  "vendor": "sample string 15",
  "dedicatedRepresentative": "sample string 16",
  "vendorEmail": "sample string 17",
  "vendorContact": "sample string 18",
  "url": "sample string 19",
  "ipAddress": "sample string 20",
  "registeredEmail": "sample string 21",
  "userID": "sample string 22",
  "password": "sample string 23",
  "oldAccount": "sample string 24",
  "taxID": "sample string 25",
  "registeredContact": "sample string 26",
  "billReceiptMode": "sample string 27",
  "securityAone": "sample string 28",
  "securityAtwo": "sample string 29",
  "securityAthree": "sample string 30",
  "securityQone": "sample string 31",
  "securityQtwo": "sample string 32",
  "securityQthree": "sample string 33",
  "abd": "sample string 34",
  "imd": "sample string 35",
  "requestedBy": "sample string 36",
  "assignedTo": "sample string 37",
  "newPassword": "sample string 38",
  "siteNumber": "sample string 39",
  "location": "sample string 40",
  "city": "sample string 41",
  "state": "sample string 42",
  "country": "sample string 43",
  "zip": "sample string 44",
  "comments": "sample string 45",
  "editableInputs": [
    {
      "entityName": "sample string 1",
      "entityOldValue": "sample string 2",
      "entityNewValue": "sample string 3"
    },
    {
      "entityName": "sample string 1",
      "entityOldValue": "sample string 2",
      "entityNewValue": "sample string 3"
    }
  ]
}

application/xml, text/xml

Sample:
<ResetView xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <ABD>sample string 34</ABD>
  <Acct>sample string 12</Acct>
  <AcctIDFR>sample string 10</AcctIDFR>
  <AssignedTo>sample string 37</AssignedTo>
  <BillReceiptMode>sample string 27</BillReceiptMode>
  <CMInventoryId>sample string 2</CMInventoryId>
  <CMResetRequestId>sample string 1</CMResetRequestId>
  <City>sample string 41</City>
  <ClientId>sample string 4</ClientId>
  <ClientName>sample string 3</ClientName>
  <Comments>sample string 45</Comments>
  <Country>sample string 43</Country>
  <DedicatedRepresentative>sample string 16</DedicatedRepresentative>
  <EditableInputs>
    <EditableInputs>
      <EntityName>sample string 1</EntityName>
      <EntityNewValue>sample string 3</EntityNewValue>
      <EntityOldValue>sample string 2</EntityOldValue>
    </EditableInputs>
    <EditableInputs>
      <EntityName>sample string 1</EntityName>
      <EntityNewValue>sample string 3</EntityNewValue>
      <EntityOldValue>sample string 2</EntityOldValue>
    </EditableInputs>
  </EditableInputs>
  <EndTime>sample string 8</EndTime>
  <FromDate>sample string 5</FromDate>
  <IMD>sample string 35</IMD>
  <IPAddress>sample string 20</IPAddress>
  <Location>sample string 40</Location>
  <NewPassword>sample string 38</NewPassword>
  <OldAccount>sample string 24</OldAccount>
  <Password>sample string 23</Password>
  <RegisteredContact>sample string 26</RegisteredContact>
  <RegisteredEmail>sample string 21</RegisteredEmail>
  <Remit>sample string 14</Remit>
  <RequestedBy>sample string 36</RequestedBy>
  <SecurityAone>sample string 28</SecurityAone>
  <SecurityAthree>sample string 30</SecurityAthree>
  <SecurityAtwo>sample string 29</SecurityAtwo>
  <SecurityQone>sample string 31</SecurityQone>
  <SecurityQthree>sample string 33</SecurityQthree>
  <SecurityQtwo>sample string 32</SecurityQtwo>
  <Site>sample string 13</Site>
  <SiteNumber>sample string 39</SiteNumber>
  <StartTime>sample string 6</StartTime>
  <State>sample string 42</State>
  <TaxID>sample string 25</TaxID>
  <TimeZone>sample string 9</TimeZone>
  <ToDate>sample string 7</ToDate>
  <URL>sample string 19</URL>
  <UserID>sample string 22</UserID>
  <Vendor>sample string 15</Vendor>
  <VendorContact>sample string 18</VendorContact>
  <VendorEmail>sample string 17</VendorEmail>
  <WebAcctNumber>sample string 11</WebAcctNumber>
  <Zip>sample string 44</Zip>
</ResetView>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.